// settings.js

// colors and sizes
var textColor = "#ffffff";
var backColor = "#000000";
var linkColor = "#4893C2";
var plexFontSize = 12;

// other plex settings
var gateOffset = 5;
var plexPopMultiplier = 2; // 0.2
var maxChildColumns = 6;
var hideLinks = false;
var centerEllipsis = false;
var includeHeaderAndFooter = true;
var filterForStartingMatchesOnly = true;
var useBackDivs = true;

// pins
var showPins = true;
var pinSpacing = 10;
var showPinsMenu = false;
var savePinsPrefix = null;

// past thoughts list
var showPastThoughtList = true;
var pastThoughtListSpacing = 10;

// instant search
var showSearch = true;
var showSearchButton = false;
var leftAlignInstantSearch = true;
var instantSearchWidthMultiplier = 2.0;
var dynamicInstantSearch = false;

// start thought setting
var startThought = "1";

// thought query file
var thoughtPrefix = "thoughtData/";
var thoughtSuffix = ".xml";
var maxThoughtRequestRetries = 3;

// content loading method
var loadContentInFrame = true;

// search settings
var searchPrefix = null;
var instantSearchPrefix = "instantSearch/";
var instantSearchSuffix = ".xml";

var customSearchCallback = null;

// link address
var linkPrefix = null;

// initial file to prepare the server (to be used to setup the session)
var configServerRequest = "pins.xml";

// animation settings
var animate = true;
var numAniFrames = 8;
var delay = 33;
var slideSpeed = 15;

// layout settings
// autohide
var autoHideEnabled = true;
var autoHideVertical = true;
// drag plex
var dragPlexEnabled = false;
// content layout
var contentFullscreen = false;

// resizing settings
var resizePlexEnabled = true;
var splitterHeight = 4;
var splitterBackgroundColor = "#00f";
var splitterEdgesColor = "#000";
var fixIPhoneHeight = true; // set this to false if height should not be automatically adjusted on the iPhone

// title info
var pageTitle = "gerakan-blankon"
var showThoughtInTitle = true;

var debug = false;

var licenseKey = ""; // set this to "PB" to hide TheBrain logo
